
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>【oracle】静默安装 oracle 11gr2 / iVAN</title>

    <meta name="description" content="【oracle】静默安装 oracle 11gr2 [序言] oracle 提供了静默安装方法在不适用图形界面的情况下安装 oracle 软件 ,创建db,配置netca,快速完成oracle 的部署.  在以下情形中可以使用静默安装    a OUI 的 GUI 界面远程交互比较慢 .    b 数据库服务器无法使用图形界面访问.    c 批量部署oracle (标准环境统一情况下可以使用oracle 的relink ,这样更加快速). 本文主要讲述基本安装步骤,不涉及oracle 安装完成之后的运维规范: 监控,备份,定时日志清理,基础运维">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">【oracle】静默安装 oracle 11gr2</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>【序言】<br />
oracle 提供了静默安装方法在不适用图形界面的情况下安装 oracle 软件 ,创建db,配置netca,快速完成oracle 的部署。 <br />
在以下情形中可以使用静默安装<br />
   a OUI 的 GUI 界面远程交互比较慢 .<br />
   b 数据库服务器无法使用图形界面访问.</p>
<p>   c 批量部署oracle (标准环境统一情况下可以使用oracle 的relink ,这样更加快速).</p>
<p><strong>本文主要讲述基本安装步骤，不涉及oracle 安装完成之后的运维规范: 监控，备份，定时日志清理,基础运维配置。</strong><br /><strong>一 准备工作<br /></strong><strong>1.linux检查安装包是否全</strong><strong></strong></p>
<pre><code>rpm -q --queryformat \"%{NAME}-%{VERSION}-%{RELEASE} (%{ARCH})\n" binutils \
compat-libstdc++-33 compat-db control-center elfutils-libelf elfutils-libelf-devel gcc \
gcc-c++ glibc glibc-common glibc-devel libaio libaio-devel libgcc libstdc++ \
libstdc++-devel make sysstat unixODBC glibc-headers unixODBC-devel \
oracleasm oracleasmlib oracleasm-support \
pdksh sysstat xscreensaver | grep not | grep -v grep | awk '{print "yum install -y " $2 }'
</code></pre>
<p> 如果有未安装的rpm ,则需要手动安装。<br />
 注意:其中oracleasm oracleasmlib oracleasm-support可以去oracle官方asm lib网站下载</p>
<p><strong>2.OS参数修改</strong><br /><strong>a 修改/etc/sysctl.conf 文件 添加如下内容:</strong></p>
<pre><code>fs.aio-max-nr = 1048576
fs.file-max = 6815744
kernel.shmall = 2097152
kernel.shmmax = 48719476736
kernel.shmmni = 4096
kernel.sem = 250 32000 200 200
net.ipv4.ip_local_port_range = 9000 65500
net.core.rmem_default = 262144
net.core.wmem_default = 262144
net.core.wmem_max = 1048586
net.core.rmem_max = 4194304
</code></pre>
<p><strong>执行:</strong></p>
<pre><code>/sbin/sysctl -p </code></pre>
<p><strong>b  </strong><strong>修改/etc/security/limits.conf 添加如下内容: <br /></strong></p>
<pre><code>oracle soft nproc 2047
oracle hard nproc 16384
oracle soft nofile 1024
oracle hard nofile 65536
</code></pre>
<p><strong>c  </strong><strong>修改 /etc/pam.d/login 添加如下内容:</strong></p>
<pre><code>session required pam_limits.so </code></pre>
<p><strong>d 修改 /etc/profile</strong></p>
<pre><code>if [ $USER = "oracle" ] ; then
if [ $SHELL = "/bin/ksh" ]; then
ulimit -p 16384
ulimit -n 65536
else
ulimit -u 16384 -n 65536
fi
umask 022
fi
</code></pre>
<p><strong>3  </strong><strong>创建oracle属组并</strong><strong>添加oracle 用户</strong></p>
<pre><code>groupadd -g 501 oinstall
groupadd -g 502 dba
groupadd -g 601 asmadmin
groupadd -g 602 asmdba
groupadd -g 603 asmoper
useradd -u 1101 -g oinstall -G dba  oracle
</code></pre>
<p><strong>创建oracle软件安装目录</strong></p>
<pre><code>mkdir -p /opt/app/oracle
chown -R oracle:oinstall /opt/app/oracle
chmod -R 775 /opt
</code></pre>
<p><strong>4 Oracle环境变量</strong><br />
---oracle .bash_profile </p>
<pre><code># .bash_profile
# Get the aliases and functions
if [ -f ~/.bashrc ]; then
. ~/.bashrc
fi
# User specific environment and startup programs
PATH=$PATH:$HOME/bin:/opt/rac/oracle/opatch/OPatch
export PATH
umask 022
export ORACLE_BASE=/opt/app/oracle
export ORACLE_HOME=$ORACLE_BASE/11.2.0/product/db
export ORACLE_SID=orcl
export TNS_ADMIN=$ORACLE_HOME/network/admin
export ORA_NLS10=$ORACLE_HOME/nls/data
export PATH=$ORACLE_HOME/bin:/usr/sbin:$PATH
export LD_LIBRARY_PATH=$ORACLE_HOME/lib:/lib:/usr/lib
export CLASSPATH=$ORACLE_HOME/JRE:$ORACLE_HOME/jlib:$ORACLE_HOME/rdbms/jlib
export NLS_LANG=AMERICAN_AMERICA.AL32UTF8
export PS1=$LOGNAME@`hostname`:'$PWD&gt;'
export SQLPATH=$ORACLE_HOME/sqlplus/admin:/home/oracle/admin/sql
alias ohome="cd $ORACLE_HOME"
alias tf="tail -f /opt/app/oracle/diag/rdbms/orcl/orcl/trace/alert_orcl.log"
alias sql='sqlplus "/"'
alias sqln="sqlplus /nolog"
alias rm='rm -i --'
ulimit -u 16384 -n 63536 #linux
esc="033["
echo " "
echo " "
echo -e "${esc}31;1m******************************************************************${esc}0m"
echo -e "${esc}31;1m***This is PRODUCT , Please be careful of your operation!***${esc}0m"
echo -e "${esc}31;1m******************************************************************${esc}0m"
echo " "
echo " "
</code></pre>
<p><strong>二   安装</strong><br />
1 <strong><u>此步骤很重要,如果忽略1 ,最终会提示inventory 文件目录非空 导致静默安装失败 文章末尾会加以说明</u></strong><br />
vim /etc/oraInst.loc</p>
<pre><code>inventory_loc=/u01/app/oraInventory
 inst_group=oinstall </code></pre>
<p>2 静默安装 11.2.0.1 采用 debug模式安装 ,如果有异常则更容易发现错误原因。</p>
<pre><code>./runInstaller -silent -debug -force -noconfig -IgnoreSysPreReqs \
oracle.install.responseFileVersion=/oracle/install/rspfmt_dbinstall_response_schema_v11_2_0 \
oracle.install.option=INSTALL_DB_SWONLY \
DECLINE_SECURITY_UPDATES=true \
UNIX_GROUP_NAME=oinstall \
INVENTORY_LOCATION=/u01/app/oraInventory \
SELECTED_LANGUAGES=en,zh_CN,zh_TW \
ORACLE_HOME=/u01/app/oracle/product/11.2.0/db \
ORACLE_BASE=/u01/app/oracle \
oracle.install.db.InstallEdition=EE \
oracle.install.db.isCustomInstall=false \
oracle.install.db.DBA_GROUP=dba \
oracle.install.db.OPER_GROUP=dba
</code></pre>
<p>安装完成显示如下信息:<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZmlsZS5pdHB1Yi5uZXQvZm9ydW0vMjAxMzEyLzA0LzEwMjg0M2NrdnYwdmNteHd6a3Z5cGUuanBn.jpg"><br />
安装完成之后 系统会提示我们用root用户运行如下两个脚本 。</p>
<pre><code>sh /u01/app/oracle/oraInventory/orainstRoot.sh
sh /u01/app/oracle/product/11.2.0/db /root.sh
</code></pre>
<p>附上oracle软件静默安装的参数含义如下:<br />
-silent       表示以静默方式安装,不会有任何提示<br />
-force        表示允许安装到一个非空目录<br />
-noconfig     表示不运行配置助手netca<br />
-responseFile 表示使用哪个响应文件,必需使用绝对路径<br />
oracle.install.responseFileVersion  响应文件模板的版本,该参数不要更改<br />
oracle.install.option               安装模式选项,本例只安装oracle软件,该参数不要更改<br />
DECLINE_SECURITY_UPDATES            是否需要在线安全更新,设置为false,该参数不要更改<br />
UNIX_GROUP_NAME oracle              用户用于安装软件的组名<br />
INVENTORY_LOCATION                  oracle 产品清单目录<br />
SELECTED_LANGUAGES                  oracle 运行语言环境,一般包括引文和简繁体中文<br />
ORACLE_HOME                         oracle安装目录<br />
ORACLE_BASE                         oracle基础目录<br />
oracle.install.db.InstallEdition    安装版本类型,一般是企业版<br />
oracle.install.db.isCustomInstall   是否定制安装,默认Partitioning,OLAP,RAT都选上。根据自己的需要选择组件。<br />
oracle.install.db.customComponents  定制安装组件列表:除了以上默认的,可加上Label Security和Database Vault<br />
oracle.install.db.DBA_GROUP         oracle 用户用于授予osdba权限的组名<br />
oracle.install.db.OPER_GROUP        oracle 用户用于授予osoper权限的组名<br /><strong>3 静默安装db </strong><br />
安装完成oracle软件之后还没创建db,我们可以继续使用静默方式创建数据库。</p>
<pre><code>dbca -silent -responseFile /u01/app/software/database/dbca.rsp </code></pre>
<p><strong>dbca.rsp 文件内容如下：<u>根据自己的场景进行修改。</u></strong></p>
<pre><code>[GENERAL]
RESPONSEFILE_VERSION = "11.2.0"
OPERATION_TYPE = "createDatabase"
[CREATEDATABASE]
GDBNAME = "orcl"
SID = "orcl"
TEMPLATENAME = "New_Database.dbt"
SYSPASSWORD = "xxxxxxx"
SYSTEMPASSWORD = "xxxxxxx"
SYSMANPASSWORD = "xxxxxxx"
DBSNMPPASSWORD = "xxxxxxx"
DATAFILEDESTINATION ="/u01/app/oracle/oradata"
STORAGETYPE=FS
CHARACTERSET = "AL32UTF8"
DATABASETYPE = "MULTIPURPOSE"
AUTOMATICMEMORYMANAGEMENT = "FALSE"
TOTALMEMORY =8192
</code></pre>
<p>静默安装的过程如下：<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvYmxvZy5pdHB1Yi5uZXQvYXR0YWNobWVudC8yMDEzMTIvNi8yMjY2NDY1M18xMzg2MzQyODMxRWFOMS5qcGc=.jpg"><br /><strong></strong><strong>4 配置网络监听</strong><br />
  这一步我没有使用netca的默认方式，而是直接编辑了$ORACLE_HOME/network/admin/ 下的*.ora 文件。<br />
  根据需求编辑好了之后启动监听。</p>
<pre><code>lsnrctl start </code></pre>
<p><strong>5 登陆数据库</strong><strong></strong><br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvYmxvZy5pdHB1Yi5uZXQvYXR0YWNobWVudC8yMDEzMTIvNi8yMjY2NDY1M18xMzg2MzQyMDIxdUs5cy5qcGc=.jpg"></p>
<p>三 <strong>遇到的问题</strong><strong>  </strong><strong><br />
问题一 <strong>相信这个问题也是很多人也会遇到</strong></strong></p>
<pre><code>[FATAL] [INS-32035] Unable to create a new central inventory at the specified location.
CAUSE: The central inventory location provided is not empty.
ACTION: Please provide another location for the inventory, or clean up the current location.
</code></pre>
<p><strong>解决方法:</strong><br />
使用root vim /etc/oraInst.doc 加入</p>
<pre><code>inventory_loc=/u01/app/oraInventory
inst_group=oinstall
</code></pre>
<p><strong>问题二 </strong></p>
<pre><code>[WARNING] [INS-32055] The Central Inventory is located in the Oracle base.
CAUSE: The Central Inventory is located in the Oracle base.
ACTION: Oracle recommends placing this Central Inventory in a location outside the Oracle base directory.
</code></pre>
<p><strong>解决方法：</strong><br />
 如提示所言 Inventory 目录安装在了$ORACLE_BASE 目录下了，所以调整Inventory 目录不在$ORACLE_BASE 目录下，即可解决问题。</p>
<p>oraInventory 存放Oracle软件安装的目录信息，Oralce的安装和升级都需要用到这个目录，删除或丢失oraInventory目录的内容就会导致安装/升级失败。<br />
Oracle官方文档对oraInventory的说明:</p>
<pre><code>All Oracle software installations rely on this directory.
Ensure that you back it up regularly.
Do not delete this directory unless you have completely removed
all Oracle software from the system.
</code></pre>
<p>oraInventory 目录的位置是由oraInst.loc 文件决定的：<br />
/etc/oraInst.loc                (AIX and Linux Platform)<br />
/var/opt/oracle/OraInst.loc (Solaris and HP-UX platform)</p>
<p><strong>四 小结</strong><br />
  说些题外话 因为项目的原因需要安装一套oracle 系统，谷歌，度娘 静默安装 等关键词，大多数文章基本都千篇一律。真不知道写文章的人是否真正安装成功？论坛上说学习称赞的人是否动手验证过？</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 09:42:52</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>【oracle】静默安装 oracle 11gr2的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBZOYKb.html" rel="bookmark">linux 之静默安装oracle</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Web服务器上面的Linux一般是不会有图形界面的,所有通过图形界面来安装Linux的方式在没有图形界面的Linux上面是行不通的,我们要使用的安装方式叫做Linux的静默安装.即在没有图形界面的Linux上面安装. 1. 下载地址 http://www.oracle.com/technetwork/database/enterprise-edition/downloads/index.html 下载.tar.gz文件即可,oracle在Window上面是有分位数的,但在linux上面没有分,只			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxP0JPM.html" rel="bookmark">使用oracle VM安装oracle 数据库时如何显示虚拟机的图形窗口</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				由于使用oracle VM安装oracle 数据库,当需要图形显示的时候,如何操作呢? 环境介绍: ----------------------------- VM server host OS:VM linux Hostname: cnexa1.cn.oracle.com IP:10.182.208.112 (外网IP,可以通过client端连接上来) IP:192.0.2.1 (VM内网IP,可以连接上面的虚拟机) ----------------------------- VM node1			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlQmLnp.html" rel="bookmark">【oracle】静默安装oracle软件和数据库之一</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				oracle 的静默安装可以在无交互模式安装数据库,适合没有图形界面的情况下进行oracle 数据库软件的安装和数据库创建,netca 的配置. 本文对静默安装数据库软件进行技术介绍.执行静默安装需要一个响应文件oracle根据响应文件来进行默认安装. 静默安装的企业级版本的响应文件: ee.rsp RESPONSEFILE_VERSION=2.2.1.0.0 UNIX_GROUP_NAME=&quot;oinstall&quot; FROM_LOCATION=&quot;/home/oracle/dat			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrXrNVz.html" rel="bookmark">Linux RHEL6 x64 命令行静默安装 Oracle 12c</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				安装详见 http://docs.oracle.com/database/121/LADBI/app_nonint.htm#LADBI7832 http://docs.oracle.com/database/121/LADBI/pre_install.htm#LADBI222 下载软件. drwxr-xr-x 7 digoal users 4096 Jul 7 2014 database -rw-r--r-- 1 digoal users 1673544724 Dec 22 17:19 linu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4YwXjb.html" rel="bookmark">【oracle】静默安装oracle软件和数据库之二</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文记录如何静默创建数据库,可以使用静默文件可以选择无响应文件安装 1 编辑创建数据库的响应文件: dbca.rsp ESPONSEFILE_VERSION = &quot;10.0.0&quot; OPERATION_TYPE = &quot;createDatabase&quot; GDBNAME = &quot;kbbi.RAC&quot; SID = &quot;kbbi&quot; TEMPLATENAME = &quot;kbbi.dbt&quot; SYSPASSWORD = &quot;k			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6Y27Xb.html" rel="bookmark">【oracle】静默安装oracle软件和数据库之三</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				对于静默安装netca ,出现如下错误: oracle@RAC:/home/oracle/10201_database&gt;netca -silent -responsefile /home/oracle/10201_database/netca.rsp ****DISPLAY environment variable not set!     Oracle Net Configuration Assistant is a GUI tool     which requires that DISPL			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwLYWmb.html" rel="bookmark">在在Oracle VirtralBox 安装 Oracle 10g For Oracle Linux 5</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				正式Oracle Linux5.3上安装数据库 1.检查操作系统版本 [root@ora10g ~]# uname -a Linux ora10g.localdomain 2.6.18-164.el5 #1 SMP Thu Sep 3 02:16:47 EDT 2009 i686 i686 i386 GNU/Linux [root@ora10g ~]# lsb_release-a LSB Version:   :core-3.1-ia32:core-3.1-noarch:graphics-3.1			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bB1lENz.html" rel="bookmark">oracle 11g-win7 安装Oracle 11g 卡在85&percnt; 不动了。</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 win7 安装Oracle 11g 卡在85% 不动了. Connected to: Oracle Database 11g Enterprise Edition Release 11.2.0.1.0 - 64bit Production With the Partitioning, OLAP, Data Mining and Real Application Testing options Export file created by EXPORT:V11.02.00 via con			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mg3l7BM.html" rel="bookmark">CentOS下无界面静默安装oracle 11g</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				0.下载oracle 11g的2个安装包,上传到服务器,并解压2个包在一个目录下(我的目录是/upload)   1.安装依赖包,如需离线安装,需部署本地源 yum -y install binutils compat-libstdc++-33 elfutils-libelf elfutils-libelf-devel glibc glibc-common glibc-devel gcc- gcc-c++ libaio-devel libaio libgcc libstdc++ libstdc+			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5Zaqz.html" rel="bookmark" class="title">自定义-EF Power tool用法问题</a>
					<div>
						问题描述 EF Power tool用法问题 EF Power tool(自定义反向工程模板) 如何自定义命名空间?					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQYAob.html" rel="bookmark" class="title">10个优秀的 HTML5 编码工具分享</a>
					<div>
						HTML5将彻底改变我们建设网站和Web应用程序的方式.这里有10个伟大的工具,用于简化和提高HTML5的编码. 假如你才刚开始利用HTML5来创建网站,可访问Initializr来入门.这个网站将帮 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgvO8b.html" rel="bookmark" class="title">sIFR、typeface&period;js和cufon文本替换技术</a>
					<div>
						一个常常令设计师和前端开发人员都头疼的事情就是字体的使用,设计师常常在设计稿中使用某些很漂亮的字体,以实现比较酷炫的界面.但这样常常给编码人员造成一些难度,如果在页面中放弃使用这些字体,设计师会感到郁 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbExlZz.html" rel="bookmark" class="title">用FIreworks制作QQ企鹅图</a>
					<div>
						效果: 第一步:做身体:两个椭圆,左右各一个没有手指头的小手 手的部分这样处理: 路径联合后,效果如下:哈哈,真有成就感 第二步:眼睛:比较简单,两个立式椭圆,左眼仍是一个椭圆,右眼是个拱形. 第三步 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/4MYWDVz.html" rel="bookmark" class="title">Scripting&period;TextStream对象</a>
					<div>
						stream|对象      FileSystemObject.Folder和File对象的一些方法都与通过TextStream对象创建.读取或写入文件有关.      虽然TextStream对象定 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrOAvp.html" rel="bookmark" class="title">确保无线J2ME的安全</a>
					<div>
						随着移动商业从时髦的口号逐步变成现实,对于移动用户和无线应用程序开发人员这类人 而言,事务安全性正在成为一个重要方面.网络总体安全性的强度取决于其最薄弱的环节, 而在移动商业网络中,最薄弱环节是客户机 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAaDQAM.html" rel="bookmark" class="title">怎么在Excel2003中如何隐藏行或列</a>
					<div>
						怎么在Excel2003中如何隐藏行或列   方法一 1.选中要隐藏的行/列,格式-行/列-隐藏 2.选中的行/列已经被隐藏,效果如下. 方法二 1.选中要隐藏的列/行,单击鼠标右键,选择&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQP4k8z.html" rel="bookmark" class="title">谷歌chrome浏览器如何在后台运行</a>
					<div>
						  有时候我们电脑运行速度没那么快了,随便打开一个程序都卡个半天,特别是打开浏览器这种占用资源多的程序,各加是一卡再卡.今天小编为读者带来如何让谷歌浏览器(google chrome)在后台运行,加速 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXj2vLb.html" rel="bookmark" class="title">win8qq怎么下载</a>
					<div>
						  win8系统qq下载需要到应用商店里面安装,才能使用,在安装过程中首先要在一个microsoft邮箱.具体下载安装方法如下: win8 qq安装后,使用方法就和xp系统和win7系统使用方法一样啦 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bade12z.html" rel="bookmark" class="title">电脑公司win7旗舰版系统通过清除无用索引加快搜索速度的技巧</a>
					<div>
						  1.首先鼠标右击&quot;任务栏&quot;空白处,选择&quot;属性&quot;,在打开的属性面板中切换到&quot;'开始'菜单&quot;选项卡,然后点击&quot;自定义&quot;按 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJYe3p.html" rel="bookmark" class="title">百度随心听怎么用</a>
					<div>
						  首先要说一下,百度随心听不能搜索歌曲.什么是随心懂不?但是可以选着喜欢的类别. 打开百度音乐,右下角点击进入百度随心听.很明显显.有百度账号的最好登录百度账号,可以对你喜欢的类型进行推荐.   百 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYj5VBp.html" rel="bookmark" class="title">Spring征服数据库</a>
					<div>
						DAO:数据访问对象(data access object)的缩写. 如何你曾经编写过JDBC代码,你肯定会意识到如果不强制捕获SQLException,你几乎不能使用JDBC做任何事情.SQLExc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDWorOp.html" rel="bookmark" class="title">从&OpenCurlyDoubleQuote;母鸡产业&rdquo;到多维领导力思维模式</a>
					<div>
						香港东方智慧开发研究院院长南柏:从&quot;母鸡产业&quot;到多维领导力思维模式管理思路香港东方智慧开发研究院院长南柏先生日前来穗授课.南柏以结合东方传统智慧与西方现代逻辑管理思维之精华独创的& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPyYAp.html" rel="bookmark" class="title">凡客诚品旗下网站V&plus;首次大规模改版</a>
					<div>
						在8月31日,凡客诚品旗下网站V+(VJIA.COM)宣布正式完成上线以来的首次大规模改版,并说新版首页的设计风格会显得更加的时尚,更符合80.90后购买人群的浏览爱好,对用户体验提升这方面也更加的重 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrX4A6z.html" rel="bookmark" class="title">sql-关于SQL语句查询求助，是否可以实现</a>
					<div>
						问题描述 关于SQL语句查询求助,是否可以实现 select (case when a.iscashvirtual = '1' then 'type1' when a.isbillvirtual =  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6ZjWgM.html" rel="bookmark" class="title">大数据开启信息文明</a>
					<div>
						开栏语:大数据开启的信息文明已经是我们生活中的现实,早就在潜移默化地改变着人类的存在方式.因此,对信息文明进行深入系统的探讨,不仅不是操之过急,而且时不我待.信息时代是一个哲学.科学.社会.经济.文化 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKnyvb.html" rel="bookmark" class="title">关于开机看似简单却复杂的问题讨论</a>
					<div>
						问题描述 背景:要实现以下功能:将自己编写的程序放在光盘或USB启动介质中,开机引导时加载自己编写的程序,然后正常引导操作系统.问题一:操作系统引导成功(如WINDOWS)进入桌面后,自己写的程序是否 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydYKlb.html" rel="bookmark" class="title">让搜索引擎开畅胸怀的&OpenCurlyDoubleQuote;文章标题&rdquo;</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 随着百度算法的升级,现在很多原创文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQB7a8M.html" rel="bookmark" class="title">百度身边正式上线 传统点评网遭遇挑战</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 百度分类信息站已于2010年10月26日在百度员工内部悄然启动内测.该产品最终定名为&quot;百度身边&quot;.根据百度一贯的产品发布原则,内测开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmBYBaz.html" rel="bookmark" class="title">swing-重新绘制JTable后，点击JTable中的数据又还原了，该如何处理？</a>
					<div>
						问题描述 重新绘制JTable后,点击JTable中的数据又还原了,该如何处理? 左边这个JTable里面是单列数据,数据来自于重写的AbstractTableModel,而Model的数据来自于数据 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJqGJ4p.html" rel="bookmark" class="title">SOS&comma;100分，请问这个报表功能如何实现？</a>
					<div>
						问题描述 从数据库中读取一行数据,格式为typename,X,Y,Z,A,B,C,D,E,F,G,H要在屏幕的某个控件内显示和打印为如下格式:ACEGtypenameX=?Y=?Z=?----*--- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAE1G2M.html" rel="bookmark" class="title">物联网设备漏洞不断增加 五大安全层面随时检视</a>
					<div>
						随着物联网(iot)设备陆续进入市场后,相关安全问题也受到重视.有鉴于日前曾发生物联网设备遭骇事件,凸显物联网设备方便之余,如何确保用户与业者数据安全绝对不容忽视. 据物联网 Tech News报导, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQ80Vp.html" rel="bookmark" class="title">matlab-有未定义的变量，这类函数变量应该怎么定义？</a>
					<div>
						问题描述 有未定义的变量,这类函数变量应该怎么定义? 这是需要绘制的函数 这是赋值.循环和绘图语句 纯新手,感谢大家帮助!~ 解决方案 这种问题就应该 RTFM(Read the Fucking Ma ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLmxjM.html" rel="bookmark" class="title">对于Python异常处理慎用&OpenCurlyDoubleQuote;except&colon;pass&rdquo;建议&lowbar;python</a>
					<div>
						翻译自StackOverflow中一个关于Python异常处理的问答. 问题:为什么&quot;except:pass&quot;是一个不好的编程习惯? 我时常在StackOverflow上看到有人评 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwK4Pvz.html" rel="bookmark" class="title">java获取properties属性文件示例&lowbar;java</a>
					<div>
						一个属性列表可包含另一个属性列表作为它的&quot;默认值&quot;:如果未能在原有的属性列表中搜索到属性键,则搜索第二个属性列表. 因为 Properties 继承于 Hashtable,所以可对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1NXvKp.html" rel="bookmark" class="title">Android WebView使用的技巧与一些坑&lowbar;Android</a>
					<div>
						随着手机性能的提高,以及iOS和Android两个平台的普及,更多的App都会选择两个平台的App都进行开发,在有些时候,为了更加快速的开发,我们会采用hybird方式开发,这个时候我们需要使用web ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2Zn6kb.html" rel="bookmark" class="title">Android利用悬浮按钮实现翻页效果&lowbar;Android</a>
					<div>
						今天给大家分享下自己用悬浮按钮点击实现翻页效果的例子. 首先,一个按钮要实现悬浮,就要用到系统顶级窗口相关的WindowManager,WindowManager.LayoutParams.那么在An ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV7knVb.html" rel="bookmark" class="title">JavaScript中的console&period;profile&lpar;&rpar;函数详细介绍&lowbar;javascript技巧</a>
					<div>
						编写JavaScript程序时,如果需要知道某段代码的执行时间,可以使用console.time().不过,在分析逻辑较为复杂的JavaScript程序,试图从中找出性能瓶颈的时候,console.t ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6GWgXp.html" rel="bookmark" class="title">freemarker-page pase error&colon; Error reading included file</a>
					<div>
						问题描述 page pase error: Error reading included file 开发环境:struts2 +spring + freemarker 在index.html页面引用其 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mqg2w3z.html" rel="bookmark" class="title">迪兰HD6750恒金D3 2G</a>
					<div>
						[三好在线显卡频道]今天小编从卖场了解到,迪兰HD6750恒金D3 2G显卡到货三好街,该显卡基于AMD 6750芯片组设计,拥有720个流处理器和2Gb的大容量显存,非常适合玩网游有多开需要的朋友, ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
